com.dlsc.flexgantt.swing.layer.system

## Interface IPopupRenderer

- All Superinterfaces:
    IRenderer
  All Known Implementing Classes:
    AbstractPopupRenderer, DefaultPopupRenderer

      public interface IPopupRenderer
      extends IRenderer

  A popup renderer is used to display the information that gets returned from the `IPopupPolicy`. The component returned from the renderer will be displayed as a lightweight component via the `PopupLayer`. Popups can be displayed for tree nodes and timeline objects.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getPopupRendererComponent(PopupLayer pl, Object titleValue, Object popupValue, IRelationship relationship, IGanttChartModel model)` Returns the component that will be used as a popup that provides additional information about a relationship.
    `Component` | `getPopupRendererComponent(PopupLayer pl, Object titleValue, Object popupValue, TimelineObjectPath path, IGanttChartModel model, boolean pinned)` Returns the component that will be used as a popup that provides additional information about a timeline object.
    `Component` | `getPopupRendererComponent(PopupLayer pl, Object titleValue, Object popupValue, TreePath path, IGanttChartModel model, boolean pinned)` Returns the component that will be used as a popup that provides additional information about a tree table node.

- - ### Method Detail

    - #### getPopupRendererComponent

          Component getPopupRendererComponent(PopupLayer pl,
                                              Object titleValue,
                                              Object popupValue,
                                              TimelineObjectPath path,
                                              IGanttChartModel model,
                                              boolean pinned)

      Returns the component that will be used as a popup that provides additional information about a timeline object.
      Parameters:
        `pl` - the popup layer that requires a popup
        `titleValue` - the object that represents the input for the title of the popup
        `popupValue` - the object that represents the input for the popup
        `path` - the path to the timeline object
        `model` - the data source
        `pinned` - indicates whether the popup is visible because it is sticky (TRUE) or because the mouse cursor hovers over the timeline object (FALSE)
      Returns:
        a component to be used as a popup
      Since:
        1.0
      See Also:
        `IPopupPolicy.getPopupValue(TimelineObjectPath, IGanttChartModel, boolean)`

    - #### getPopupRendererComponent

          Component getPopupRendererComponent(PopupLayer pl,
                                              Object titleValue,
                                              Object popupValue,
                                              TreePath path,
                                              IGanttChartModel model,
                                              boolean pinned)

      Returns the component that will be used as a popup that provides additional information about a tree table node.
      Parameters:
        `pl` - the popup layer that requires a popup
        `titleValue` - the object that represents the input for the title of the popup
        `popupValue` - the object that represents the input for the popup
        `path` - the path to the tree node
        `model` - the data source
        `pinned` - indicates whether the popup is visible because it is sticky (TRUE) or because the mouse cursor hovers over the timeline object (FALSE)
      Returns:
        a component to be used as a popup
      Since:
        1.1
      See Also:
        `IPopupPolicy.getPopupValue(TreePath, IGanttChartModel, boolean)`

    - #### getPopupRendererComponent

          Component getPopupRendererComponent(PopupLayer pl,
                                              Object titleValue,
                                              Object popupValue,
                                              IRelationship relationship,
                                              IGanttChartModel model)

      Returns the component that will be used as a popup that provides additional information about a relationship.
      Parameters:
        `pl` - the popup layer that requires a popup
        `titleValue` - the object that represents the input for the title of the popup
        `popupValue` - the object that represents the input for the popup
        `relationship` - the relationship for which a popup will be shown
        `model` - the data source
      Returns:
        a component to be used as a popup
      Since:
        2.0
      See Also:
        `IPopupPolicy.getPopupValue(TreePath, IGanttChartModel, boolean)`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.